#include<bits/stdc++.h>
#define MAXN 100001
using namespace std;
int n,a[MAXN+1],b[MAXN],sl[MAXN];
int main(){
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    for(int i=0;i<n;i++){
        cin>>b[i];
        if(i>0) sl[b[i-1]]=b[i];
    }
    int ans=0;
    for(int i=0;i<n;i++){
        if(i!=n-1){
            if(a[i+1]!=sl[a[i]]) ans++;
        }
    }
    cout<<ans+1<<"\n";
    return 0;
}
